package com.foo;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import junit.framework.TestCase;

import com.foo.persist.Foo;


public class JpaTest extends TestCase {
	
	private static EntityManagerFactory emf;
    private static EntityManager em;
    
    private static boolean init = false;
    
    
    @Override
	protected void setUp() throws Exception {
    	if (!init) {
    		// Create EntityManagerFactory for persistent unit named "pu1"
            // to be used in this test
            emf = Persistence.createEntityManagerFactory("pu1");
            
            // Create a new EntityManager
            em = emf.createEntityManager();
            
            init = true;
    	}
	}

    private void doMerge(Object pObj) {
		em.getTransaction().begin();
		em.merge(pObj);
		em.getTransaction().commit();
	}
    
    public void testMerge() throws Exception {
    	Foo foo = new Foo();
    	foo.setName("FOO1");
    	doMerge(foo);
    }
}
